Skip to content
Core animation primitives for Ember.
JavaScript TypeScript HTML CSS
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.github/ISSUE_TEMPLATE Update issue templates Jun 19, 2019
.vscode add no-var rule Oct 28, 2019
addon-test-support dropping older _promise tracking in tests Oct 28, 2019
addon convert ember-internals to ts Oct 29, 2019
app apply prettier to all JS Oct 28, 2019
config prettier and eslint on all js and ts Oct 28, 2019
docs seems to be needed by the eslint parser I'm using Oct 29, 2019
tests standardizing on simplified applyStyles rules Oct 28, 2019
types prettier and eslint on all js and ts Oct 28, 2019
vendor orphan positioning Sep 14, 2017
.bowerrc updating for newer addon format Nov 16, 2014
.editorconfig
.ember-cli updating for newer addon format Nov 16, 2014
.eslintignore keep linting separate Oct 25, 2019
.eslintrc.js progress on converting motion to ts Oct 28, 2019
.gitignore
.npmignore make sure we don't public nested docs app Oct 11, 2019
.prettierrc.js prettier and eslint on all js and ts Oct 28, 2019
.template-lintrc.js prettier and eslint on all js and ts Oct 28, 2019
.travis.yml
.watchmanconfig ember-cli update Mar 29, 2016
CHANGELOG.md changelog spellchecker Oct 28, 2019
CONTRIBUTING.md updating readmes and changelog Oct 9, 2019
LICENSE.md beginning to fork new ember-animated library Nov 28, 2016
README.md Revert "bring-your-own polyfill" Oct 10, 2019
ember-cli-build.js add no-var rule Oct 28, 2019
index.js add no-var rule Oct 28, 2019
package.json fix: update element helper Nov 14, 2019
testem.js prettier and eslint on all js and ts Oct 28, 2019
tsconfig.json adding ember-cli-typescript Jan 31, 2019
yarn.lock fix: update element helper Nov 14, 2019

README.md

Ember Animated

This library is intended to become a robust foundation for animation in Ember.

Interactive docs are at https://ember-animation.github.io/ember-animated/

Compatibility

  • Ember.js v2.18 or above
  • Ember CLI v2.13 or above

Installation

ember install ember-animated

This repo is tested against Ember versions going back as far as 2.12.

Contributing

See the Contributing guide for details.

License

This project is licensed under the MIT License.

You can’t perform that action at this time.